UiPath Documentation
test-cloud
latest
false

Guía de la API de Test Cloud

Última actualización 5 de may. de 2026

Bulk Resolve Directory Entities by Name

Resolves multiple directory entities by their names in a single request, based on the organization ID. All entities in the request must be of the same type.

Punto final de API

POST {accessURL}/{organizationName}/identity_/api/Directory/BulkResolveByName/{partitionGlobalId}

Sustituye {accessURL} en todas las rutas de los puntos finales por la URL base de tu plataforma en la nube:

Cloud PlatformURL de acceso
Test Cloudhttps://cloud.uipath.com/
Test Cloud Sector Públicohttps://govcloud.uipath.us/
Test Cloud Dedicadohttps://{customURL}.dedicated.uipath.com/

Ámbitos

Necesita los siguientes ámbitos:

  • PM.Directory

Solicitar encabezados.

--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
Nota:

Para obtener el {access_token}, asegúrate de autenticarte a través de uno de los métodos descritos aquí.

Parámetros de ruta

Parámetros de rutaTipo de datosDescripción
partitionGlobalId (obligatorio)String (GUID)The ID of the organization to resolve the entities within.

Solicitar cuerpo

The request body specifies the entity names to resolve. Unlike BulkResolve, all entities must be of the same type.

{
    "entityNames": [
        "john.doe@example.com",
        "jane.smith@example.com"
    ],
    "entityType": "User",
    "scope": null
}
{
    "entityNames": [
        "john.doe@example.com",
        "jane.smith@example.com"
    ],
    "entityType": "User",
    "scope": null
}
PropiedadTipo de datosDescripción
entityNames (obligatorio)Array of stringsThe names of the directory entities to resolve (e.g., email addresses for users, group names for groups).
entityType (obligatorio)CadenaThe type of all entities in the request. Valid values: User, Group, Application.
scope (opcional)CadenaOptional scope for active directory entities.

Respuesta

200 OK

Returns a dictionary mapping each entity name to its resolved directory entity. Entities that could not be resolved are returned as null.

{
    "john.doe@example.com": {
        "objectType": "DirectoryUser",
        "source": "aad",
        "identifier": "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "name": "john.doe@example.com",
        "email": "john.doe@example.com",
        "displayName": "John Doe",
        "firstName": "John",
        "lastName": "Doe"
    },
    "jane.smith@example.com": null
}
{
    "john.doe@example.com": {
        "objectType": "DirectoryUser",
        "source": "aad",
        "identifier": "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "name": "john.doe@example.com",
        "email": "john.doe@example.com",
        "displayName": "John Doe",
        "firstName": "John",
        "lastName": "Doe"
    },
    "jane.smith@example.com": null
}

400 Bad Request

Returned when required parameters are missing or invalid.

Solicitud de ejemplo

Supongamos que has recopilado toda la información necesaria para crear la llamada a la API.

La llamada debe parecerse al siguiente ejemplo (cURL):

curl --location --request POST 'https://cloud.uipath.com/{organizationName}/identity_/api/Directory/BulkResolveByName/3fa85f64-5717-4562-b3fc-2c963f66afa6' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json' \
--data-raw '{
    "entityNames": [
        "john.doe@example.com",
        "jane.smith@example.com"
    ],
    "entityType": "User"
}'
curl --location --request POST 'https://cloud.uipath.com/{organizationName}/identity_/api/Directory/BulkResolveByName/3fa85f64-5717-4562-b3fc-2c963f66afa6' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json' \
--data-raw '{
    "entityNames": [
        "john.doe@example.com",
        "jane.smith@example.com"
    ],
    "entityType": "User"
}'

Aquí está el body de respuesta de una llamada correcta:

{
    "john.doe@example.com": {
        "objectType": "DirectoryUser",
        "source": "aad",
        "identifier": "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "name": "john.doe@example.com",
        "email": "john.doe@example.com",
        "displayName": "John Doe",
        "firstName": "John",
        "lastName": "Doe"
    },
    "jane.smith@example.com": null
}
{
    "john.doe@example.com": {
        "objectType": "DirectoryUser",
        "source": "aad",
        "identifier": "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "name": "john.doe@example.com",
        "email": "john.doe@example.com",
        "displayName": "John Doe",
        "firstName": "John",
        "lastName": "Doe"
    },
    "jane.smith@example.com": null
}
  • Punto final de API
  • Ámbitos
  • Solicitar encabezados.
  • Parámetros de ruta
  • Solicitar cuerpo
  • Respuesta
  • 200 OK
  • 400 Bad Request
  • Solicitud de ejemplo

¿Te ha resultado útil esta página?

Conectar

¿Necesita ayuda? Soporte

¿Quiere aprender? UiPath Academy

¿Tiene alguna pregunta? Foro de UiPath

Manténgase actualizado